{
  "description": "ServiceReference holds a reference to Service.legacy.k8s.io",
  "properties": {
    "name": {
      "description": "name is the name of the service. Required",
      "type": [
        "string",
        "null"
      ]
    },
    "namespace": {
      "description": "namespace is the namespace of the service. Required",
      "type": [
        "string",
        "null"
      ]
    },
    "path": {
      "description": "path is an optional URL path at which the webhook will be contacted.",
      "type": [
        "string",
        "null"
      ]
    },
    "port": {
      "description": "port is an optional service port at which the webhook will be contacted. `port` should be a valid port number (1-65535, inclusive). Defaults to 443 for backward compatibility.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    }
  },
  "required": [
    "namespace",
    "name"
  ],
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "additionalProperties": false,
  "$id": "https://kubernetes.io/api/servicereference/apiextensions/v1"
}